org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTAlignmentSpecifier

All Superinterfaces:
  IASTAlignmentSpecifier, IASTAttributeSpecifier, IASTNode, org.eclipse.cdt.core.dom.parser.cpp.ICPPASTAttributeSpecifier

    public interface ICPPASTAlignmentSpecifier
    extends IASTAlignmentSpecifier, org.eclipse.cdt.core.dom.parser.cpp.ICPPASTAttributeSpecifier

A C++ alignment-specifier. In the C++ grammar, an alignment-specifier is an attribute-specifier.

Since:
  6.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAlignmentSpecifier

`ALIGNMENT_EXPRESSION, ALIGNMENT_TYPEID, EMPTY_ALIGNMENT_SPECIFIER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.parser.cpp.ICPPASTAttributeSpecifier

`TYPE_FILTER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeSpecifier

`ATTRIBUTE, EMPTY_ATTRIBUTE_SPECIFIER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPASTAlignmentSpecifier` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICPPASTAlignmentSpecifier` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAlignmentSpecifier

`getExpression, getTypeId`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeSpecifier

`addAttribute, getAttributes`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Method Detail

#### copy

    ICPPASTAlignmentSpecifier copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTAlignmentSpecifier`
Specified by:
  `copy` in interface `IASTAttributeSpecifier`
Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `org.eclipse.cdt.core.dom.parser.cpp.ICPPASTAttributeSpecifier`

#### copy

    ICPPASTAlignmentSpecifier copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTAlignmentSpecifier`
Specified by:
  `copy` in interface `IASTAttributeSpecifier`
Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `org.eclipse.cdt.core.dom.parser.cpp.ICPPASTAttributeSpecifier`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.